Last Comment Bug 720934 - [meta] Android Sync 0.4 code drop
: [meta] Android Sync 0.4 code drop
Status: VERIFIED FIXED
:
Product: Android Background Services
Classification: Client Software
Component: Android Sync (show other bugs)
: unspecified
: ARM Android
: P1 normal
: mozilla12
Assigned To: Richard Newman [:rnewman]
:
Mentors:
Depends on: 709348 718544 718703 719693 720304 720933 721305 722426 722430 722434 722485 722896 722945 723235 723240 723992
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-24 21:26 PST by Richard Newman [:rnewman]
Modified: 2013-04-04 13:48 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Approval coathook. (20 bytes, patch)
2012-02-03 13:29 PST, Richard Newman [:rnewman]
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Review

Description Richard Newman [:rnewman] 2012-01-24 21:26:27 PST
Tracking what's going in to the next one.
Comment 1 Richard Newman [:rnewman] 2012-01-31 17:33:39 PST
So far:

3ad57f4 Bug 718703 - Pair a Device crashes. r=rnewman
3c530d1 Bug 709660 - Fixed blurry icons used in SyncAdapter. r=rnewman
bde287a Bug 719693 - Compatibility for JDK < 6.
91c5e23 Bug 719693 - Effect review comments on 6ffb7d72f.
6ffb7d7 Bug 719693 - Handle date-format HTTP Retry-After headers.
6df289e Bug 709348 - Trace logging and fixed logging of visit equality.
71580df Bug 709348 - Include Fennec visits and counts in HistoryRecord androidID equivalence.
8f6a106 Bug 709348 - Equality work.
f40bf4a Bug 709348 - Part 5: Rework handling of certain cases of incoming deletion, including history visits.
0dd004d Bug 709348 - Part 4: Reworking equality tests between records.
2210717 Bug 709348 - Part 3: Better commenting for ignored bookmark records.
c05236b Bug 709348 - Part 2: Introduce trace log method.
a34f4aa Bug 709348 - Part 1: Introduce copyWithIDs to clone records.
796b15f Bug 721305 - sync.link.advancedsetup.label should use …, not ....
adf7586 Bump AndroidSync User-Agent version.

I will land at the same time (pending review, of course):

 Bug 718703 - Part 0: Makefile fix for preprocessing multiple files. r=ted
 Bug 722896.
 Bug 718703 - Part 1: Sync crashes from Pair a Device link in sync settings. r=rnewman
 Bug 718703 - Part 2: Makefile change to preprocess sync_options.xml. r=ted

I have a try build of these things:

  https://tbpl.mozilla.org/?tree=Try&rev=0e2d59ecbaf8

I will bump the rest of Bug 709348, and anything else left over, to the next drop.
Comment 2 Richard Newman [:rnewman] 2012-01-31 21:37:09 PST
  Bug 722434 - check for failure after JSON parsing. r=rnewman
  Bug 722426: Remove WRITE_SECURE_SETTINGS from the Android manifest, since this permission is only granted to system/firmware applications. r=rnewman
  Bug 722896. r=dchan
  Bug 722430: Propagate NoSuchAlgorithmException and InvalidKeyException; wrap in CryptoException higher up the call stack. r=rnewman
Comment 3 Mozilla RelEng Bot 2012-02-01 00:15:38 PST
Try run for 9569e93be612 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=9569e93be612
Results (out of 131 total builds):
    exception: 30
    success: 67
    warnings: 16
    failure: 1
    other: 17
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/rnewman@mozilla.com-9569e93be612
Comment 4 Richard Newman [:rnewman] 2012-02-02 13:33:01 PST
Bug 709348 is in, as is Bug 722945.
Comment 5 Mozilla RelEng Bot 2012-02-02 19:04:12 PST
Try run for 943421074305 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=943421074305
Results (out of 271 total builds):
    exception: 2
    success: 239
    warnings: 29
    failure: 1
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/rnewman@mozilla.com-943421074305
Comment 7 Richard Newman [:rnewman] 2012-02-03 13:29:31 PST
Created attachment 594284 [details] [diff] [review]
Approval coathook.

Hanging m-a and m-b approval on this. Some of the bugs that landed at the same time (particularly the ones that touched Makefiles, and thus didn't flow with everything else) have independent flags.

akeybl, please let me know if you have any questions.
Comment 8 Richard Newman [:rnewman] 2012-02-03 13:43:49 PST
I have updated blassey's Aurora patch queue:

http://hg.mozilla.org/users/blassey_mozilla.com/patches-needed-on-aurora

The Beta patch queue is currently busted, so I haven't updated that yet.
Comment 9 Richard Newman [:rnewman] 2012-02-03 13:53:46 PST
> The Beta patch queue is currently busted, so I haven't updated that yet.

I commented out the patches that were labeled in the series as failing to apply, and imported all of mine. Good to go.
Comment 10 Alex Keybl [:akeybl] 2012-02-03 14:28:31 PST
This is on my radar, but we should probably wait to have it on m-c for a day before pushing to Aurora/Beta.
Comment 11 Richard Newman [:rnewman] 2012-02-03 14:39:57 PST
(In reply to Alex Keybl [:akeybl] from comment #10)
> This is on my radar, but we should probably wait to have it on m-c for a day
> before pushing to Aurora/Beta.

Yup, and tchung and crew are testing this afternoon.
Comment 12 Alex Keybl [:akeybl] 2012-02-05 13:05:01 PST
Comment on attachment 594284 [details] [diff] [review]
Approval coathook.

[Triage Comment]
Approved for Aurora 12 and Beta 11.
Comment 14 Tracy Walker [:tracy] 2012-02-10 10:06:04 PST
calling this verified per depends bugs.

But what about the crypto meta bug 722485
Comment 15 Richard Newman [:rnewman] 2012-02-10 10:25:46 PST
(In reply to Tracy Walker [:tracy] from comment #14)
> calling this verified per depends bugs.
> 
> But what about the crypto meta bug 722485

Nearly done… and mostly [qa-], too.
Comment 16 Justin Wood (:Callek) 2012-03-05 14:10:17 PST
Looks to already have landed on beta as well:

https://hg.mozilla.org/releases/mozilla-beta/pushloghtml?changeset=088774d5dd19

Note You need to log in before you can comment on or make changes to this bug.